<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>RefEvalBase (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RefEvalBase (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RefEvalBase.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
               title="interface in org.apache.poi.ss.formula.eval"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/RefListEval.html"
               title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/eval/RefEvalBase.html"
               target="_top">Frames</a></li>
        <li><a href="RefEvalBase.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula.eval</div>
    <h2 title="Class RefEvalBase" class="title">Class RefEvalBase</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.formula.eval.RefEvalBase</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                           title="interface in org.apache.poi.ss.formula.eval">RefEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                            title="interface in org.apache.poi.ss.formula">SheetRange</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/LazyRefEval.html"
                           title="class in org.apache.poi.ss.formula">LazyRefEval</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">RefEvalBase</span>
extends java.lang.Object
implements <a href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
              title="interface in org.apache.poi.ss.formula.eval">RefEval</a></pre>
                <div class="block">Common base class for implementors of <a
                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                        title="interface in org.apache.poi.ss.formula.eval"><code>RefEval</code></a></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEvalBase.html#RefEvalBase-int-int-int-">RefEvalBase</a></span>(int&nbsp;onlySheetIndex,
                                    int&nbsp;rowIndex,
                                    int&nbsp;columnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEvalBase.html#RefEvalBase-int-int-int-int-">RefEvalBase</a></span>(int&nbsp;firstSheetIndex,
                                    int&nbsp;lastSheetIndex,
                                    int&nbsp;rowIndex,
                                    int&nbsp;columnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEvalBase.html#RefEvalBase-org.apache.poi.ss.formula.SheetRange-int-int-">RefEvalBase</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                                        title="interface in org.apache.poi.ss.formula">SheetRange</a>&nbsp;sheetRange,
                                    int&nbsp;rowIndex,
                                    int&nbsp;columnIndex)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEvalBase.html#getColumn--">getColumn</a></span>()</code>
                                    <div class="block">returns the zero based column index.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEvalBase.html#getFirstSheetIndex--">getFirstSheetIndex</a></span>()</code>
                                    <div class="block">returns the first sheet index this applies to</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEvalBase.html#getLastSheetIndex--">getLastSheetIndex</a></span>()</code>
                                    <div class="block">returns the last sheet index this applies to, which
                                        will be the same as the first for a 2D and many 3D references
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEvalBase.html#getNumberOfSheets--">getNumberOfSheets</a></span>()</code>
                                    <div class="block">returns the number of sheets this applies to</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEvalBase.html#getRow--">getRow</a></span>()</code>
                                    <div class="block">returns the zero based row index.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.eval.RefEval">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.formula.eval.<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">RefEval</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html#getInnerValueEval-int-">getInnerValueEval</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html#offset-int-int-int-int-">offset</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="RefEvalBase-org.apache.poi.ss.formula.SheetRange-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RefEvalBase</h4>
                                <pre>protected&nbsp;RefEvalBase(<a
                                        href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                                        title="interface in org.apache.poi.ss.formula">SheetRange</a>&nbsp;sheetRange,
                      int&nbsp;rowIndex,
                      int&nbsp;columnIndex)</pre>
                            </li>
                        </ul>
                        <a name="RefEvalBase-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RefEvalBase</h4>
                                <pre>protected&nbsp;RefEvalBase(int&nbsp;firstSheetIndex,
                      int&nbsp;lastSheetIndex,
                      int&nbsp;rowIndex,
                      int&nbsp;columnIndex)</pre>
                            </li>
                        </ul>
                        <a name="RefEvalBase-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>RefEvalBase</h4>
                                <pre>protected&nbsp;RefEvalBase(int&nbsp;onlySheetIndex,
                      int&nbsp;rowIndex,
                      int&nbsp;columnIndex)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getNumberOfSheets--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfSheets</h4>
                                <pre>public&nbsp;int&nbsp;getNumberOfSheets()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html#getNumberOfSheets--">RefEval</a></code></span>
                                </div>
                                <div class="block">returns the number of sheets this applies to</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html#getNumberOfSheets--">getNumberOfSheets</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">RefEval</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFirstSheetIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstSheetIndex</h4>
                                <pre>public&nbsp;int&nbsp;getFirstSheetIndex()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html#getFirstSheetIndex--">RefEval</a></code></span>
                                </div>
                                <div class="block">returns the first sheet index this applies to</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html#getFirstSheetIndex--">getFirstSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">RefEval</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/SheetRange.html#getFirstSheetIndex--">getFirstSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                                                title="interface in org.apache.poi.ss.formula">SheetRange</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastSheetIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastSheetIndex</h4>
                                <pre>public&nbsp;int&nbsp;getLastSheetIndex()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html#getLastSheetIndex--">RefEval</a></code></span>
                                </div>
                                <div class="block">returns the last sheet index this applies to, which
                                    will be the same as the first for a 2D and many 3D references
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html#getLastSheetIndex--">getLastSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">RefEval</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/SheetRange.html#getLastSheetIndex--">getLastSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                                                title="interface in org.apache.poi.ss.formula">SheetRange</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRow</h4>
                                <pre>public final&nbsp;int&nbsp;getRow()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html#getRow--">RefEval</a></code></span>
                                </div>
                                <div class="block">returns the zero based row index.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html#getRow--">getRow</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">RefEval</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getColumn</h4>
                                <pre>public final&nbsp;int&nbsp;getColumn()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html#getColumn--">RefEval</a></code></span>
                                </div>
                                <div class="block">returns the zero based column index.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html#getColumn--">getColumn</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">RefEval</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RefEvalBase.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
               title="interface in org.apache.poi.ss.formula.eval"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/RefListEval.html"
               title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/eval/RefEvalBase.html"
               target="_top">Frames</a></li>
        <li><a href="RefEvalBase.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
